D-Bus: DBusBabysitter Struct Reference

D-Bus 1.16.2

Data Fields
DBusBabysitter Struct Reference
D-Bus secret internal implementation details » Utilities and portability

Babysitter implementation details. More...

## Data Fields
int | refcount
| Reference count.
char * | log_name
| the name under which to log messages about this process being spawned
DBusSocket | socket_to_babysitter
| Connection to the babysitter process.
int | error_pipe_from_child
| Connection to the process that does the exec()
pid_t | sitter_pid
| PID Of the babysitter.
pid_t | grandchild_pid
| PID of the grandchild.
DBusWatchList * | watches
| Watches.
DBusWatch * | error_watch
| Error pipe watch.
DBusWatch * | sitter_watch
| Sitter pipe watch.
DBusBabysitterFinishedFunc | finished_cb
void * | finished_data
int | errnum
| Error number.
int | status
| Exit status code.
unsigned int | have_child_status: 1
| True if child status has been reaped.
unsigned int | have_fork_errnum: 1
| True if we have an error code from fork()
unsigned int | have_exec_errnum: 1
| True if we have an error code from exec()
DBusAtomic | refcount
HANDLE | thread_handle
HANDLE | child_handle
DBusSocket | socket_to_main
dbus_bool_t | have_spawn_errno
int | spawn_errno
dbus_bool_t | have_child_status
int | child_status

## Detailed Description

Babysitter implementation details.

Definition at line 251 of file dbus-spawn-unix.c.

## Field Documentation

## ◆ child_handle

HANDLE DBusBabysitter::child_handle

Definition at line 69 of file dbus-spawn-win.c.

## ◆ child_status

int DBusBabysitter::child_status

Definition at line 81 of file dbus-spawn-win.c.

## ◆ errnum

int DBusBabysitter::errnum

Error number.

Definition at line 272 of file dbus-spawn-unix.c.

Referenced by _dbus_babysitter_set_child_exit_error().

## ◆ error_pipe_from_child

int DBusBabysitter::error_pipe_from_child

Connection to the process that does the exec()

Definition at line 259 of file dbus-spawn-unix.c.

Referenced by _dbus_spawn_async_with_babysitter().

## ◆ error_watch

DBusWatch* DBusBabysitter::error_watch

Error pipe watch.

Definition at line 266 of file dbus-spawn-unix.c.

Referenced by _dbus_spawn_async_with_babysitter().

## ◆ finished_cb

DBusBabysitterFinishedFunc DBusBabysitter::finished_cb

Definition at line 269 of file dbus-spawn-unix.c.

## ◆ finished_data

void * DBusBabysitter::finished_data

Definition at line 270 of file dbus-spawn-unix.c.

## ◆ grandchild_pid

pid_t DBusBabysitter::grandchild_pid

PID of the grandchild.

Definition at line 262 of file dbus-spawn-unix.c.

Referenced by _dbus_babysitter_kill_child().

## ◆ have_child_status [1/2]

unsigned int DBusBabysitter::have_child_status

True if child status has been reaped.

Definition at line 274 of file dbus-spawn-unix.c.

Referenced by _dbus_babysitter_get_child_exit_status(), and _dbus_babysitter_set_child_exit_error().

## ◆ have_child_status [2/2]

dbus_bool_t DBusBabysitter::have_child_status

Definition at line 80 of file dbus-spawn-win.c.

## ◆ have_exec_errnum

unsigned int DBusBabysitter::have_exec_errnum

True if we have an error code from exec()

Definition at line 276 of file dbus-spawn-unix.c.

Referenced by _dbus_babysitter_set_child_exit_error().

## ◆ have_fork_errnum

unsigned int DBusBabysitter::have_fork_errnum

True if we have an error code from fork()

Definition at line 275 of file dbus-spawn-unix.c.

Referenced by _dbus_babysitter_set_child_exit_error().

## ◆ have_spawn_errno

dbus_bool_t DBusBabysitter::have_spawn_errno

Definition at line 78 of file dbus-spawn-win.c.

## ◆ log_name

char * DBusBabysitter::log_name

the name under which to log messages about this process being spawned

Definition at line 255 of file dbus-spawn-unix.c.

Referenced by _dbus_babysitter_set_child_exit_error(), _dbus_babysitter_unref(), and _dbus_spawn_async_with_babysitter().

## ◆ refcount [1/2]

int DBusBabysitter::refcount

Reference count.

Definition at line 253 of file dbus-spawn-unix.c.

Referenced by _dbus_babysitter_ref(), and _dbus_babysitter_unref().

## ◆ refcount [2/2]

DBusAtomic DBusBabysitter::refcount

Definition at line 65 of file dbus-spawn-win.c.

## ◆ sitter_pid

pid_t DBusBabysitter::sitter_pid

PID Of the babysitter.

Definition at line 261 of file dbus-spawn-unix.c.

Referenced by _dbus_babysitter_unref(), and _dbus_spawn_async_with_babysitter().

## ◆ sitter_watch

DBusWatch * DBusBabysitter::sitter_watch

Sitter pipe watch.

Definition at line 267 of file dbus-spawn-unix.c.

Referenced by _dbus_babysitter_unref(), and _dbus_spawn_async_with_babysitter().

## ◆ socket_to_babysitter

DBusSocket DBusBabysitter::socket_to_babysitter

Connection to the babysitter process.

Definition at line 258 of file dbus-spawn-unix.c.

Referenced by _dbus_babysitter_get_child_exited(), and _dbus_spawn_async_with_babysitter().

## ◆ socket_to_main

DBusSocket DBusBabysitter::socket_to_main

Definition at line 71 of file dbus-spawn-win.c.

## ◆ spawn_errno

int DBusBabysitter::spawn_errno

Definition at line 79 of file dbus-spawn-win.c.

## ◆ status

int DBusBabysitter::status

Exit status code.

Definition at line 273 of file dbus-spawn-unix.c.

Referenced by _dbus_babysitter_get_child_exit_status(), _dbus_babysitter_set_child_exit_error(), and _dbus_babysitter_unref().

## ◆ thread_handle

HANDLE DBusBabysitter::thread_handle

Definition at line 68 of file dbus-spawn-win.c.

## ◆ watches

DBusWatchList * DBusBabysitter::watches

Watches.

Definition at line 264 of file dbus-spawn-unix.c.

Referenced by _dbus_babysitter_set_watch_functions(), _dbus_babysitter_unref(), and _dbus_spawn_async_with_babysitter().

The documentation for this struct was generated from the following files:

- dbus-spawn-unix.c
- dbus-spawn-win.c